- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_system_resource_limits – Configure resource limits in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify system feature and resource_limits category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
system_resource_limits dictionary | Default: null | Configure resource limits.
| custom_service integer |  | Maximum number of firewall custom services.
| dialup_tunnel integer |  | Maximum number of dial-up tunnels.
| firewall_address integer |  | Maximum number of firewall addresses (IPv4, IPv6, multicast).
| firewall_addrgrp integer |  | Maximum number of firewall address groups (IPv4, IPv6).
| firewall_policy integer |  | Maximum number of firewall policies (IPv4, IPv6, policy46, policy64, DoS-policy4, DoS-policy6, multicast).
| ipsec_phase1 integer |  | Maximum number of VPN IPsec phase1 tunnels.
| ipsec_phase1_interface integer |  | Maximum number of VPN IPsec phase1 interface tunnels.
| ipsec_phase2 integer |  | Maximum number of VPN IPsec phase2 tunnels.
| ipsec_phase2_interface integer |  | Maximum number of VPN IPsec phase2 interface tunnels.
| log_disk_quota integer |  | Log disk quota in MB.
| onetime_schedule integer |  | Maximum number of firewall one-time schedules.
| proxy integer |  | Maximum number of concurrent proxy users.
| recurring_schedule integer |  | Maximum number of firewall recurring schedules.
| service_group integer |  | Maximum number of firewall service groups.
| session integer |  | Maximum number of sessions.
| sslvpn integer |  | Maximum number of SSL-VPN.
| user integer |  | Maximum number of local users.
| user_group integer |  | Maximum number of user groups.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure resource limits.
        fortios_system_resource_limits:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          system_resource_limits:
            custom_service: "3"
            dialup_tunnel: "4"
            firewall_address: "5"
            firewall_addrgrp: "6"
            firewall_policy: "7"
            ipsec_phase1: "8"
            ipsec_phase1_interface: "9"
            ipsec_phase2: "10"
            ipsec_phase2_interface: "11"
            log_disk_quota: "12"
            onetime_schedule: "13"
            proxy: "14"
            recurring_schedule: "15"
            service_group: "16"
            session: "17"
            sslvpn: "18"
            user: "19"
            user_group: "20"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.